HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostSourcesSource

Contains the different functions to run the operation postSourcesSource

  • 19 types
  • 12 values
  • Packagestripeapi-3.0.0.0
  • Exports31
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostSourcesSource.hs
valuepostSourcesSource
  1. :: MonadHTTP m
  2. => Text

    source | Constraints: Maximum length of 5000

  3. -> Maybe PostSourcesSourceRequestBody

    The request body to send

  4. -> ClientT m (Response PostSourcesSourceResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/sources/{source}

<p>Updates the specified source by setting the values of the parameters passed. Any parameters not provided will be left unchanged.</p>

<p>This request accepts the <code>metadata</code> and <code>owner</code> as arguments. It is also possible to update type specific information for selected payment methods. Please refer to our <a href="/docs/sources">payment method guides</a> for more detail.</p>

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate in the specification.

Information about a mandate possibility attached to a source object (generally for bank debits) as well as its acceptance status.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.acceptance.properties.offline in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.acceptance.properties.online in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.acceptance.properties.status in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.acceptance.properties.type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.amount.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.interval in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate.properties.notification_method in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.owner in the specification.

Information about the owner of the payment instrument that may be used or required by particular source types.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.owner.properties.address in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order in the specification.

Information about the items and shipping associated with the source. Required for transactional credit (for example Klarna) sources before you can charge it.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order.properties.items.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order.properties.items.items.properties.type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order.properties.shipping in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/sources/{source}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.source_order.properties.shipping.properties.address in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postSourcesSource.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostSourcesSourceResponseError is used.

Constructors

Instances2Eq, Show